import { IAuthUserWithPermissions, IUserPrefs, UserStatus } from '@sourceloop/core';
import { User } from '../../../models';
export declare class DeviceInfo {
    userAgent?: string;
    deviceId?: string;
}
export declare class AuthUser extends User implements IAuthUserWithPermissions {
    permissions: string[];
    role: string;
    externalAuthToken?: string;
    age?: number;
    externalRefreshToken?: string;
    authClientId: number;
    deviceInfo?: DeviceInfo;
    pubnubToken?: string;
    userPreferences?: IUserPrefs;
    tenantId?: string;
    userTenantId?: string;
    passwordExpiryTime?: Date;
    allowedResources?: string[];
    status?: UserStatus;
    constructor(data?: Partial<AuthUser>);
}
