import { BindingKey } from '@loopback/core';
import { VerifyFunction } from 'loopback4-authentication';
import { PreSignupFn, UserSignupFn } from '../types';
import { GooglePostVerifyFn, GooglePreVerifyFn, GoogleSignUpFn, KeyCloakPostVerifyFn, KeyCloakPreVerifyFn, KeyCloakSignUpFn } from './types';
export declare namespace SignUpBindings {
    const GOOGLE_SIGN_UP_PROVIDER: BindingKey<GoogleSignUpFn>;
    const KEYCLOAK_SIGN_UP_PROVIDER: BindingKey<KeyCloakSignUpFn>;
    const PRE_LOCAL_SIGNUP_PROVIDER: BindingKey<PreSignupFn<import("@loopback/repository").AnyObject, import("@loopback/repository").AnyObject>>;
    const LOCAL_SIGNUP_PROVIDER: BindingKey<UserSignupFn<import("@loopback/repository").AnyObject, import("@loopback/repository").AnyObject>>;
}
export declare namespace VerifyBindings {
    const GOOGLE_PRE_VERIFY_PROVIDER: BindingKey<GooglePreVerifyFn>;
    const GOOGLE_POST_VERIFY_PROVIDER: BindingKey<GooglePostVerifyFn>;
    const KEYCLOAK_PRE_VERIFY_PROVIDER: BindingKey<KeyCloakPreVerifyFn>;
    const KEYCLOAK_POST_VERIFY_PROVIDER: BindingKey<KeyCloakPostVerifyFn>;
    const BEARER_SIGNUP_VERIFY_PROVIDER: BindingKey<VerifyFunction.GenericAuthFn<any>>;
}
